.form-container {
    background-color: #F5F5F5;
    border-radius: 10px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
    margin: 15px 0;
    padding: 30px;
    width: 100%;
}

.form-container h2 {
    color: #34495e;
    font-size: 24px;
    margin-bottom: 20px;
}

.form-group input,
.form-group select {
    background-color: #fff;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 16px;
    padding: 10px;
    width: 100%;
}

.form-group button {
    background-color: #5a67d8;
    border: none;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    font-size: 14px; /* Smaller font size for the button */
    font-weight: 600;
    padding: 8px 16px; /* Smaller padding for the button */
    transition: background-color 0.3s;
    width: 100%; /* Auto width for the button */
}

.form-group button:hover {
    background-color: #434190;
}


.form-group label {
    font-weight: 500;
    margin-bottom: 10px;
    width: 100%;
}

@media (min-width: 576px) {
    .form-group label {
        width: auto;
        margin-right: 10px; /* Margin on larger screens */
        margin-bottom: 0; /* Remove bottom margin on larger screens */
    }
}

.title-container {
    margin: 20px 0;
    text-align: center;
}

.title-container h1 {
    color: #34495e;
    font-size: 28px;
    margin: 0;
}

.title-container h2 {
    color: #7f8c8d;
    font-size: 18px;
    margin: 5px 0 20px 0;
}


.chart-box {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 15px;

    transition: transform 0.3s, box-shadow 0.2s;
    height: auto;
}

.chart-box:hover {
    transform: translateY(-5px);
    -webkit-box-shadow: 0px 0px 2px 0px rgba(204, 204, 204, 1);
    -moz-box-shadow: 0px 0px 2px 0px rgba(204, 204, 204, 1);
    box-shadow: 0px 0px 2px 0px rgba(204, 204, 204, 1);
}

.title {
    font-size: 28px;
    font-weight: 600;
    color: #34495e;
    text-align: center;
    margin-bottom: 30px;
}

.canvas-design {
    min-height: 400px;
    border: 1px solid #D2D4DA;
    margin: 5px;
    border-radius: 5px;
    width: 100% !important;
}

#charts-container {
    background-color: #ffffff;
    padding: 30px;
    border-radius: 15px;
    -webkit-box-shadow: 0px 0px 4px 0px rgba(204, 204, 204, 1);
    -moz-box-shadow: 0px 0px 4px 0px rgba(204, 204, 204, 1);
    box-shadow: 0px 0px 4px 0px rgba(204, 204, 204, 1);
    margin: 15px 0 15px 0;
    width: 100%;
}

#questionaire_dropdown_id {
    margin: 0px 0 15px 0;
    padding: 10px;
    border-radius: 5px;
}